%define upstream_name    Kwalify
%define upstream_version 1.23

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Kwalify schema for data structures
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
Kwalify is a Perl implementation for validating data structures against the
Kwalify schema. For a schema definition, see the
http://www.kuwata-lab.com/kwalify/ruby/users-guide.01.html manpage, but see
also below the /SCHEMA DEFINITION manpage.

validate($schema_data, $data)
    Validate _$data_ according to Kwalify schema specified in
    _$schema_data_. Dies if the validation fails.

    *validate* may be exported.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/pkwalify
/usr/share/man/man1/pkwalify.1.xz

%changelog
* Mon Feb 24 2020 tv <tv> 1.230.0-1.mga8
+ Revision: 1549796
- update to 1.23

* Wed Feb 12 2020 umeabot <umeabot> 1.220.0-8.mga8
+ Revision: 1495317
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.220.0-7.mga7
+ Revision: 1268861
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.220.0-6.mga6
+ Revision: 1028949
- Rebuild for perl 5.22.2

* Wed Feb 03 2016 umeabot <umeabot> 1.220.0-5.mga6
+ Revision: 933347
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.220.0-4.mga5
+ Revision: 741662
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.220.0-3.mga5
+ Revision: 685161
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.220.0-2.mga4
+ Revision: 527669
- Mageia 4 Mass Rebuild

* Mon Jun 10 2013 jquelin <jquelin> 1.220.0-1.mga4
+ Revision: 441633
- update to 1.22

* Sun Jan 13 2013 umeabot <umeabot> 1.210.0-2.mga3
+ Revision: 368855
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 26 2012 shlomif <shlomif> 1.210.0-1.mga3
+ Revision: 310425
- imported package perl-Kwalify

